org.keycloak.saml.processing.core.util

## Class SignatureUtilTransferObject

- java.lang.Object
- - org.keycloak.saml.processing.core.util.SignatureUtilTransferObject

-     public class SignatureUtilTransferObject
      extends Object

  A Transfer Object used by `XMLSignatureUtil`
  Author:
    anil saldhana

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureUtilTransferObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDigestMethod()`
    `Document` | `getDocumentToBeSigned()`
    `String` | `getKeyName()`
    `KeyPair` | `getKeyPair()`
    `Node` | `getNextSibling()`
    `String` | `getReferenceURI()`
    `String` | `getSignatureMethod()`
    `X509Certificate` | `getX509Certificate()` Get the `X509Certificate` used for signing
    `void` | `setDigestMethod(String digestMethod)`
    `void` | `setDocumentToBeSigned(Document documentToBeSigned)`
    `void` | `setKeyName(String keyName)`
    `void` | `setKeyPair(KeyPair keyPair)`
    `void` | `setNextSibling(Node nextSibling)`
    `void` | `setReferenceURI(String referenceURI)`
    `void` | `setSignatureMethod(String signatureMethod)`
    `void` | `setX509Certificate(X509Certificate x509Certificate)` Set the `X509Certificate` used for signing

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureUtilTransferObject

          public SignatureUtilTransferObject()

  - ### Method Detail

    - #### getDocumentToBeSigned

          public Document getDocumentToBeSigned()

    - #### setDocumentToBeSigned

          public void setDocumentToBeSigned(Document documentToBeSigned)

    - #### getKeyPair

          public KeyPair getKeyPair()

    - #### setKeyPair

          public void setKeyPair(KeyPair keyPair)

    - #### getNextSibling

          public Node getNextSibling()

    - #### setNextSibling

          public void setNextSibling(Node nextSibling)

    - #### getDigestMethod

          public String getDigestMethod()

    - #### setDigestMethod

          public void setDigestMethod(String digestMethod)

    - #### getReferenceURI

          public String getReferenceURI()

    - #### setReferenceURI

          public void setReferenceURI(String referenceURI)

    - #### getSignatureMethod

          public String getSignatureMethod()

    - #### setSignatureMethod

          public void setSignatureMethod(String signatureMethod)

    - #### getX509Certificate

          public X509Certificate getX509Certificate()

      Get the `X509Certificate` used for signing
      Returns:
      Since:
        2.5.0

    - #### setX509Certificate

          public void setX509Certificate(X509Certificate x509Certificate)

      Set the `X509Certificate` used for signing
      Parameters:
        `x509Certificate` -
      Since:
        2.5.0

    - #### getKeyName

          public String getKeyName()

    - #### setKeyName

          public void setKeyName(String keyName)

Copyright © 2021 JBoss by Red Hat. All rights reserved.